
// DlgProxy.cpp : implementation file
//

#include "stdafx.h"
#include "TestSDK_vs10.h"
#include "DlgProxy.h"
#include "TestSDK_vs10Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CTestSDK_vs10DlgAutoProxy

IMPLEMENT_DYNCREATE(CTestSDK_vs10DlgAutoProxy, CCmdTarget)

CTestSDK_vs10DlgAutoProxy::CTestSDK_vs10DlgAutoProxy()
{
	EnableAutomation();
	
	// To keep the application running as long as an automation 
	//	object is active, the constructor calls AfxOleLockApp.
	AfxOleLockApp();

	// Get access to the dialog through the application's
	//  main window pointer.  Set the proxy's internal pointer
	//  to point to the dialog, and set the dialog's back pointer to
	//  this proxy.
	ASSERT_VALID(AfxGetApp()->m_pMainWnd);
	if (AfxGetApp()->m_pMainWnd)
	{
		ASSERT_KINDOF(CTestSDK_vs10Dlg, AfxGetApp()->m_pMainWnd);
		if (AfxGetApp()->m_pMainWnd->IsKindOf(RUNTIME_CLASS(CTestSDK_vs10Dlg)))
		{
			m_pDialog = reinterpret_cast<CTestSDK_vs10Dlg*>(AfxGetApp()->m_pMainWnd);
			m_pDialog->m_pAutoProxy = this;
		}
	}
}

CTestSDK_vs10DlgAutoProxy::~CTestSDK_vs10DlgAutoProxy()
{
	// To terminate the application when all objects created with
	// 	with automation, the destructor calls AfxOleUnlockApp.
	//  Among other things, this will destroy the main dialog
	if (m_pDialog != NULL)
		m_pDialog->m_pAutoProxy = NULL;
	AfxOleUnlockApp();
}

void CTestSDK_vs10DlgAutoProxy::OnFinalRelease()
{
	// When the last reference for an automation object is released
	// OnFinalRelease is called.  The base class will automatically
	// deletes the object.  Add additional cleanup required for your
	// object before calling the base class.

	CCmdTarget::OnFinalRelease();
}

BEGIN_MESSAGE_MAP(CTestSDK_vs10DlgAutoProxy, CCmdTarget)
END_MESSAGE_MAP()

BEGIN_DISPATCH_MAP(CTestSDK_vs10DlgAutoProxy, CCmdTarget)
END_DISPATCH_MAP()

// Note: we add support for IID_ITestSDK_vs10 to support typesafe binding
//  from VBA.  This IID must match the GUID that is attached to the 
//  dispinterface in the .IDL file.

// {0DEA070A-9FDC-4437-A2FA-3B78ECF9A087}
static const IID IID_ITestSDK_vs10 =
{ 0xDEA070A, 0x9FDC, 0x4437, { 0xA2, 0xFA, 0x3B, 0x78, 0xEC, 0xF9, 0xA0, 0x87 } };

BEGIN_INTERFACE_MAP(CTestSDK_vs10DlgAutoProxy, CCmdTarget)
	INTERFACE_PART(CTestSDK_vs10DlgAutoProxy, IID_ITestSDK_vs10, Dispatch)
END_INTERFACE_MAP()

// The IMPLEMENT_OLECREATE2 macro is defined in StdAfx.h of this project
// {ADABA244-4700-4053-9D01-C848E21A02B4}
IMPLEMENT_OLECREATE2(CTestSDK_vs10DlgAutoProxy, "TestSDK_vs10.Application", 0xadaba244, 0x4700, 0x4053, 0x9d, 0x1, 0xc8, 0x48, 0xe2, 0x1a, 0x2, 0xb4)


// CTestSDK_vs10DlgAutoProxy message handlers
